cURL
curl --fail-with-body --request GET \
--url "$XPILOT_API_BASE_URL/v1/account/credits" \
--header "Authorization: Bearer $XPILOT_API_KEY"const response = await fetch(process.env.XPILOT_API_BASE_URL + "/v1/account/credits", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.XPILOT_API_KEY}`,
},
});
const result = await response.json();
if (!response.ok) throw new Error(JSON.stringify(result));
console.log(result);import os, json, requests
response = requests.request(
"GET",
os.environ["XPILOT_API_BASE_URL"] + "/v1/account/credits",
headers={
"Authorization": "Bearer " + os.environ["XPILOT_API_KEY"],
},
timeout=70,
)
print(response.status_code, response.text)
response.raise_for_status(){
"data": {
"balance_credits": 1000,
"base_credits": 0,
"monthly_free_credits": 0,
"plan": "pro",
"shared_with_platform": true,
"payment_mode": "stripe_live"
}
}{
"error": {
"code": "invalid_parameter",
"message": "Check parameter types, required fields and idempotency key."
},
"request_id": "<request_id>"
}{
"error": {
"code": "invalid_token",
"message": "Use an active scoped API Key. MCP OAuth tokens cannot call REST."
},
"request_id": "<request_id>"
}{
"error": {
"code": "insufficient_scope",
"message": "Check the credential scope and resource ownership."
},
"request_id": "<request_id>"
}{
"error": {
"code": "rate_limited",
"message": "Credential/workspace rate or concurrency limit reached. Respect Retry-After before retrying.",
"retry_after": 60
},
"request_id": "<request_id>"
}Account & capacity
Check credits
The API and platform share the same wallet and the same credit conversion as the app. Recharge in the owner console.
GET
/
v1
/
account
/
credits
cURL
curl --fail-with-body --request GET \
--url "$XPILOT_API_BASE_URL/v1/account/credits" \
--header "Authorization: Bearer $XPILOT_API_KEY"const response = await fetch(process.env.XPILOT_API_BASE_URL + "/v1/account/credits", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.XPILOT_API_KEY}`,
},
});
const result = await response.json();
if (!response.ok) throw new Error(JSON.stringify(result));
console.log(result);import os, json, requests
response = requests.request(
"GET",
os.environ["XPILOT_API_BASE_URL"] + "/v1/account/credits",
headers={
"Authorization": "Bearer " + os.environ["XPILOT_API_KEY"],
},
timeout=70,
)
print(response.status_code, response.text)
response.raise_for_status(){
"data": {
"balance_credits": 1000,
"base_credits": 0,
"monthly_free_credits": 0,
"plan": "pro",
"shared_with_platform": true,
"payment_mode": "stripe_live"
}
}{
"error": {
"code": "invalid_parameter",
"message": "Check parameter types, required fields and idempotency key."
},
"request_id": "<request_id>"
}{
"error": {
"code": "invalid_token",
"message": "Use an active scoped API Key. MCP OAuth tokens cannot call REST."
},
"request_id": "<request_id>"
}{
"error": {
"code": "insufficient_scope",
"message": "Check the credential scope and resource ownership."
},
"request_id": "<request_id>"
}{
"error": {
"code": "rate_limited",
"message": "Credential/workspace rate or concurrency limit reached. Respect Retry-After before retrying.",
"retry_after": 60
},
"request_id": "<request_id>"
}Documentation by X-Pilot
Required scope:account:read.
Manage API keys · Authentication and recovery

Authorizations
Scoped X-Pilot API key
Response
Success
